import sys
from win32com.client import Dispatch
import time

# Create DCOM object
dw = Dispatch("Dewesoft.App")

# Open DewesoftX
print("Initializing DewesoftX...")
sys.stdout.flush()
dw.Init()
dw.Enabled = 1
dw.Visible = 1

# Tests
setup_files = ["C:\\Program Files\\DewesoftX\\Setups\\time-setup.dxs",
          "C:\\Program Files\\DewesoftX\\Setups\\sine-generator.dxs"]
name_suffixes = ['_1', '_2']

for setup in setup_files :
    print(f"\nLoading setup file from ''{setup}''...")
    dw.LoadSetup(setup)
    for suffix in name_suffixes:
        new_file_name = setup.split('\\')[-1].replace('.dxs', suffix)+'.dxd'
        print(f"Recording file: {new_file_name}")
        dw.Start()
        dw.StartStoring(new_file_name)
        time.sleep(2)
        print('Storing stop\n')
        dw.Stop()
        time.sleep(1)

print("Closing DewesoftX")
dw = None

print("Finished")
